Session mass operation

Using this API, you can execute a mass operation for sessions. You can delete, duplicate, or hide multiple sessions within a single API call.

You need to send session ids as comma-separated values as sessionids within the body parameter.
Also, You need to send enumSessionMassOperation as a query parameter

Following are the different values that can be set for enumSessionMassOperation:
DELETE – Delete session with session speakers.
DUPLICATE – Duplicate session with their details.
HIDE – Hide session, so it will hide from session from the display and portal side.

This API can be used by authenticated users only, and it will require super admin/admin/staff level access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
messageReturn message API response.
typeReturn API response type.

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
string
enum

Pass operation want to perform for session

Allowed:
Body Params
sessionIds
array of int64s

List of session Ids for performing operation

sessionIds
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json